SciUniv_Moring 发表于 2019-5-8 18:16:14

也许这是史上最详细的Fabric安装教程,助你在1.14/1.15安装mod

本帖最后由 SciUniv_Moring 于 2020-2-19 17:15 编辑

请注意:如果没登录论坛账号的话,是看不到完整全文的,只能看到开头一部分。
请务必先从网页右上角注册/登陆论坛账号!

本进教程分为七大部分,最好全部看完哦
第零部分·前言
第一部分·下载、安装Fabric
第二部分·“必须” 安装的mod
第三部分·关于OptiFine
第四部分·推荐浏览的内容
第五部分·整合包推荐
第六部分·截图欣赏

零 · 前言

众所周知,Minecraft在安装mod要先安装Forge,当然也有其他类似Forge的mod加载器,但在很长一段时间内,Forge都是主流。
这个情况从Minecraft 1.13开始似乎有了转变,由于1.13重构了代码,Forge难产了很长一段时间,以至于1.14正式版发布后,1.13.2的Forge仍处于测试阶段。
在1.13的Forge难产期间,出现了另一个mod加载器——Rift,然而Rift不被允许使用mcp mappings,并且也有一些缺点,例如支持mod很少、区别对待mod等,现在Rift已经停更(除非是修复bug才会更新),两位Rift作者也已经全员转战Fabric,本帖并不打算讨论Rift。
(p.s. 关于Rift这一段,还要感谢@liach 提供补充说明)

咳咳,下面重点来了:
而在Minecraft 1.14的快照阶段,又一个mod加载器诞生了,那就是Fabric。
当然,如今的 Fabric 更是支持正式版Minecraft。

2019.09.27更新:针对不同的MC启动器,给出不同的安装方式
2020.02.19更新:增加了一种安装方式

static/image/hrline/4.gif

一 · 下载、安装Fabric

针对不同的MC启动器,有不同的安装方式,请选择最适合自己的。

方法一:启动器直接安装(仅适用于 MultiMC、HMCL 启动器)
(不需要手动下载文件,全程在启动器内操作。其他启动器请直接往下看)

MultiMC启动器 和 HMCL启动器 都提供启动器内直接安装,下面分别展示两种启动器的操作方式

MultiMC启动器 安装方式
https://s2.ax1x.com/2019/09/26/unZWdO.png

https://s2.ax1x.com/2019/09/26/uuF4ZF.png

https://s2.ax1x.com/2019/09/26/uuFfqU.png

https://s2.ax1x.com/2019/09/26/uuFRMV.png

https://s2.ax1x.com/2019/09/26/uuFWrT.png

https://s2.ax1x.com/2019/09/27/uKmS4U.png


HMCL启动器 安装方式
请注意,务必把你的 HMCL启动器更新到最新开发版!!!(截止当前为3.2.136)
同时,鉴于 HMCL 的自动安装经常出问题,更建议使用 方法2.1 或 方法三
https://s2.ax1x.com/2019/09/27/uutqqU.png

https://s2.ax1x.com/2019/09/27/uutbrT.png

https://s2.ax1x.com/2019/09/27/uuUutJ.png

https://s2.ax1x.com/2019/09/27/uuUKh9.png

https://s2.ax1x.com/2019/09/27/uuUQpR.png

https://s2.ax1x.com/2019/09/27/uuUnk4.png

https://s2.ax1x.com/2019/09/27/uKertO.png



方法二:通过zip压缩包(链接)导入 MultiMC 实例(仅适用于 MultiMC启动器)
(此为 MultiMC 启动器最推荐安装方式!不需要手动下载文件。其他启动器请直接往下看)

值得一提的是,如果你用方法一遇到问题,可以先试试这个方法!

首先,访问 Fabric官方下载页面

https://s2.ax1x.com/2019/09/26/unZ4Fe.png

https://s2.ax1x.com/2019/09/26/unZfoD.png

https://s2.ax1x.com/2019/09/26/unZWdO.png

https://s2.ax1x.com/2019/09/26/unZReK.png

https://s2.ax1x.com/2019/09/27/uKmfxJ.png



方法2.1:通过zip压缩包(文件)导入实例(仅适用于 MultiMC、HMCL 启动器)
(此为 HMCL启动器最推荐安装方式!HMCL虽然提供自动安装,但是更建议用此方法。)

首先,你需要下载一个zip文件,访问 Fabric官方下载页面

https://s2.ax1x.com/2019/09/26/unZ4Fe.png

https://s2.ax1x.com/2019/09/27/uuOclQ.png

HMCL启动器 和 MultiMC启动器 都通过zip导入实例,下面分别展示两种启动器的导入方式

HMCL启动器 导入方式
https://s2.ax1x.com/2019/09/27/uuv0T1.png

https://s2.ax1x.com/2019/09/27/uuv6SO.png

https://s2.ax1x.com/2019/09/27/uuvWmd.png


MultiMC启动器 导入方式
https://s2.ax1x.com/2019/09/27/uKVEHf.png

https://s2.ax1x.com/2019/09/27/uKVa8J.png

https://s2.ax1x.com/2019/09/27/uKZudK.png



方法三:使用安装器
(此方法适用于官方启动器、HMCL,以及大多数启动器!不适用于 MultiMC启动器。)

访问 Fabric 在 JenKins 的下载页面



点击按钮即可下载jar格式的安装器

(请注意:无论你是使用什么启动器,官方启动器或是HMCL启动器,又或是其他一些启动器,请先在启动器里安装1.14的原版,然后再安装Fabric)

另外还要注意:打开Fabric安装器的时候,需要连接Fabric服务器下载一些数据,如果连接失败,就会造成无法打开Fabric安装器,你可能需要科·学·上·网。

打开Fabric安装器后,你可以像安装Forge一样,选择好游戏目录和版本(和Forge不同,Forge是分版本下载安装器,而Fabric则是只用一个安装器,需要在安装器内选择游戏版本,游戏版本后面还有个build版本,一般来说选最新的即可),进行安装即可。







安装完毕之后重新打开启动器,即可找到带有Fabric的版本。

重要提醒:
基本可以确定,只有MCCL启动器会出现【成员arguments缺失】错误。
鉴于MCCL启动器已经不再更新,请换别的启动器,推荐 MultiMC 或 HMCL。

(嘿!以为教程结束了吗?你还没往下看呢!)



方法四:通过Forge加载(不建议)
(此方法适用于仅支持 Forge 的启动器!只要以上三种方法还能用,就不要用这个方法!)

警告:经过实测,如果使用这种方法安装Fabric mod,游戏崩溃的可能性会提高!
具体请看 #171楼 和 #172楼 的讨论

首先,安装好Forge,这个不用教了吧

下载 Jumploader,然后放进mods文件夹

然后启动游戏,此时 Jumploader 会自动开始加载 Fabric 相关的文件。
(第一次启动时,需要联网下载文件,如果你发现进度条一直卡着不动,建议你 科·学·上·网 并重试)

只要成功启动一次(指进入游戏主界面),就算安装成功了
如果没有意外,你可以看到游戏主界面左下角会显示Fabric已经加载了

然后把你要装的 Fabric mod 也放到 mods文件夹 里,再次启动游戏即可。

请不要试图让 Fabric mod 和 Forge mod 同时运作,这是徒劳的。
虽然用 Jumploader 可以把 Fabric mod 加载到 Forge 里,但同时 Forge 自己的mod是无法加载的!



static/image/hrline/4.gif

二 · “必须” 安装的mod

当然,不是真的必须安装,不安装也可以。只是从实际使用角度出发,个人建议一定要安装的mod

Fabric API
也许有人会问:“我不是已经安装Fabric了吗,这个叫Fabric API的mod是什么鬼?”
我解释一下:“mod加载器” 和 “API”是两个东西。
如果是Forge,“mod加载器” 和 “API” 是一体的,你只需要用Forge安装器,就把 “mod加载器” 和 “API” 同时安装好了(对于Minecraft 1.12.2或更低版本,安装完Forge,不加任何mod,打开mod列表,你会发现,mod列表里有 “Forge Mod Loader” 和 “Minecraft Forge”);
但是Fabric却把“mod加载器”和“API”分开了,使用Fabric安装器,只会安装“mod加载器”,然后Fabric API作为一个mod,需要手动装入mods文件夹。
“Fabric Loader” 的性质类似于 “Forge Mod Loader” ;
而 “Fabric API” 的性质类似于 “Minecraft Forge”。

Mod Menu
Forge自带显示mod列表的功能,但是Fabric却没有,因此你需要安装此mod,来显示mod列表。

(BTW,比较神奇的一点是,如果你安装了Mod Menu 但没有安装Fabric API,那么Mod Menu的语言就只有英文,而你安装了Fabric API的话,Mod Menu就可以显示中文了)

FabricProxy(感谢 @1a2s3d4f1 提供补充建议)
对于1.14,客户端需要安装此mod才能进入BC群组服,服务端安装后才能开启BC群组服;
对于1.14.1及更高版本,仅需服务端安装,客户端无需安装。

static/image/hrline/4.gif

三 · 关于OptiFine

OptiFine并不能作为一个mod被Fabric加载,那么有办法让Fabric和OptiFine一起工作吗?有的!

解决方法其实非常简单——有这样一个mod,Fabric加载了这个mod之后就能加载OptiFine了。
这个黑科技一样的mod就是:OptiFabric

关于它的使用方式,以及一些注意事项,mcbbs里已经有人发帖说明,请参阅:

由@NoName德里奇 发布的搬运贴:
让你的高版本MC用上光影!

由@派达星 发布的教程贴:
1.14.2 Optifine+Fabric 完美无花屏

static/image/hrline/4.gif

四 · 推荐浏览的内容

由@1173327926 发布的Fabric mod索引帖,你可以在这里找到有哪些mod支持1.14 Fabric,该贴很久没更新了,还停留在快照版本,但还是有些许参考价值
https://www.mcbbs.net/thread-841144-1-1.html

当然,你也可以使用CurseForge的筛选功能,直接查看所有Fabric mod的列表。点我传送
问:但这跟上面的帖子有什么区别呢?
答:上面那个帖子是把不同mod分类过的,但需要人工更新,mods更进可能不及时;而直接在CurseForge筛选查看的话,mods不会被分类,但不存在mods跟进不及时的问题。

由@liach 发布的阅读资料《Fabric 的前世今生》
https://www.mcbbs.net/thread-863948-1-1.html

static/image/hrline/4.gif

五 · 也许你对整合包感兴趣

我将持续为优质的Fabric mod整合包开启广播纪元(雾


由@lzh5598 发布的轻量级整合包
原版生存轻量整合(现支持1.14.4、1.15.X)

由@thx114 发布的整合包
(悄悄告诉你,这是由Fabric开发者认证的首个Fabric mod整合包)
1.14.4全模组整合    1.15原版生存轻量整合

由@1a2s3d4f1 发布的整合包
服务端整合包(现支持1.14.2)

由@a89792 发布的整合包 此整合包已过期
原版生存轻量整合(现支持1.14.2)


static/image/hrline/4.gif

六 · (一些截图)享受能装mod的Minecraft 1.14吧!

官方启动器示例
https://s2.ax1x.com/2019/09/26/unQppF.png

HMCL启动器示例
https://s2.ax1x.com/2019/09/26/unMzfU.png

游戏主界面示例
https://s2.ax1x.com/2019/09/26/unMxYT.jpg

mod列表示例(Fabric并不自带mod列表显示的功能,如果需要查看mod列表,需要安装 Mod Menu)
https://s2.ax1x.com/2019/09/26/unMvkV.png

REI 示例(REI是一个物品管理器mod,可用于查询合成表,类似于JEI)
https://s2.ax1x.com/2019/09/26/unQ9l4.png



非常感谢你能读到这里,如果你成功通过 Fabric 安装了mod,请在下面回复安装成功的截图,可以获得人气+1哦。(自己截自己的图,禁止拿别人的图)

static/image/hrline/4.gif

最后的最后,我是在zhihu上看到有人问怎么在1.14装mod,于是回答了TA,然后我意识到站内或许也需要这样的食用教程,所以又把我在zhihu的那个回答的内容搬了过来。那个也是我本人写的,不是盗用哦

同时感谢所有提供修改建议的朋友们!这篇帖子不止包含我一个人的努力,也包含大家共同的努力!
如果遇到问题,也欢迎在下面回复,我会尽力解答,这里特别要感谢 @1a2s3d4f1 ,帮忙解答了许多问题!

http://wx2.sinaimg.cn/mw690/005H2d9agy1fi9sbszobjj30qo0go768.jpg

liach 发表于 2019-5-8 18:31:38

建议从这里下载安装器吧 https://jenkins.modmuss50.me/job/FabricMC/job/fabric-installer/job/master/
还有很快安装器应该就支持中文了,到时候使用效果跟我反馈下吧(我去添加的)

liach 发表于 2019-5-8 18:37:44

还有一个关于rift的评价:rift不是因为它问题多,而是mcp(就是lexmanos)不允许rift使用mcp mappings,导致runemoro和chocohead(两位rift作者)全员转战fabric,也导致fabric yarn蓬勃壮大(对,我就是整天给yarn反编译的)。
最后感谢楼主的教程!

NoName德里奇 发表于 2019-5-8 19:50:10

良心教程,后排支持一下!

1245892483 发表于 2019-5-8 23:47:49

[:cowry:]1.14 gogogo!

SciUniv_Moring 发表于 2019-5-8 23:52:33

liach 发表于 2019-5-8 18:31
建议从这里下载安装器吧 https://jenkins.modmuss50.me/job/FabricMC/job/fabric-installer/job/master/
还 ...

感谢你的建议!我按你的建议重新编辑了一下帖子,同时贴内的图片及相关内容也跟进到了最新的Fabric安装器。中文翻译很不错,目前没有发现问题

HD_Wrynn 发表于 2019-5-9 01:12:09

我就是知乎上那个TA

HD_Wrynn 发表于 2019-5-9 01:13:28

大大你发的我都能看懂,也都是按照你的步骤走的,问题是只要我把mod menu的jar放到mods文件夹里游戏就会崩溃,其他的都能用
难受呀{:699:}

SciUniv_Moring 发表于 2019-5-9 01:16:23

HD_Wrynn 发表于 2019-5-9 01:13
大大你发的我都能看懂,也都是按照你的步骤走的,问题是只要我把mod menu的jar放到mods文件夹里游戏就会崩 ...

这个我也不清楚了。。。按理来说应该是一切正常,如果你能提供日志
就好了,我可以给你看看,也可以帮你反馈给开发者

HD_Wrynn 发表于 2019-5-9 01:25:31

呃呃,现在解决了,多谢~

HD_Wrynn 发表于 2019-5-9 01:45:53

SciUniv_Moring 发表于 2019-5-9 01:16
这个我也不清楚了。。。按理来说应该是一切正常,如果你能提供日志
就好了,我可以给你看看,也可以帮你 ...

大大还有一个问题麻烦你,就是能不能做一个1.14光影安装教程,比如前置组件

SciUniv_Moring 发表于 2019-5-9 10:23:56

HD_Wrynn 发表于 2019-5-9 01:45
大大还有一个问题麻烦你,就是能不能做一个1.14光影安装教程,比如前置组件 ...

mcbbs里已经有教程了,自己找一下吧。另外注意一下不要版聊、不要连楼,否则会被版主或是管理员处理的

thx114 发表于 2019-5-9 15:01:48

嘤嘤嘤,我的地址写错了

SciUniv_Moring 发表于 2019-5-9 15:11:40

thx114 发表于 2019-5-9 15:01
嘤嘤嘤,我的地址写错了

我的锅。。。现在已经修正了

979148 发表于 2019-5-10 21:30:11

额,关于更新,可能以后我会重新开一贴来更,但是,中考问题我会先解决,最大可能是我不更了,emm
页: [1] 2 3 4 5 6 7 8 9 10
查看完整版本: 也许这是史上最详细的Fabric安装教程,助你在1.14/1.15安装mod